Name:    kdenetwork-filesharing
Summary: Network filesharing
Version: 23.08.5
Release:    1%{?dist}

License: GPLv2 or GPLv3
URL:     https://invent.kde.org/network/%{name}

%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/release-service/%{version}/src/%{name}-%{version}.tar.xz


BuildRequires: desktop-file-utils
BuildRequires: extra-cmake-modules
BuildRequires: gettext
BuildRequires: kf5-kcoreaddons-devel
BuildRequires: kf5-kdeclarative-devel
BuildRequires: kf5-kdoctools-devel
BuildRequires: kf5-ki18n-devel
BuildRequires: kf5-kio-devel
BuildRequires: kf5-kwidgetsaddons-devel
BuildRequires: kf5-rpm-macros
BuildRequires: pkgconfig(packagekitqt5)
BuildRequires: cmake(QCoro5)
BuildRequires: cmake(Qt5Qml)
BuildRequires: cmake(Qt5Widgets)

Recommends: samba

Conflicts: kdenetwork-common < 7:4.10.80
Provides:  kdenetwork-fileshare-samba = 7:%{version}-%{release}

Conflicts: kde-l10n < 17.03

%description
%{summary}.


%prep
%autosetup -p1


%build
%cmake_kf5

%cmake_build


%install
%cmake_install

%find_lang %{name} --all-name --with-html


%files -f %{name}.lang
%license LICENSES/*
%dir %{_kf5_plugindir}/propertiesdialog/
%{_kf5_plugindir}/propertiesdialog/sambausershareplugin.so
%{_kf5_plugindir}/propertiesdialog/SambaAcl.so
%{_kf5_metainfodir}/org.kde.kdenetwork-filesharing.metainfo.xml
%{_kf5_libexecdir}/kauth/authhelper
%{_kf5_datadir}/dbus-1/system-services/org.kde.filesharing.samba.service
%{_kf5_datadir}/dbus-1/system.d/org.kde.filesharing.samba.conf
%{_kf5_datadir}/polkit-1/actions/org.kde.filesharing.samba.policy


%changelog
* Tue Aug 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 23.08.5-1
- initial build
